Skip to main content
POST
/
v2
/
webhooks
Updated
curl --request POST \
  --url https://api-sandbox.argyle.com/v2/webhooks \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "events": [
    "paystubs.updated"
  ],
  "name": "<string>",
  "url": "<string>",
  "secret": "<string>"
}
'
{
  "event": "paystubs.updated",
  "name": "<string>",
  "data": {
    "account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "available_from": "2023-11-07T05:31:56Z",
    "available_to": "2023-11-07T05:31:56Z",
    "available_count": 123,
    "updated_count": 123,
    "updated_paystubs": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ],
    "updated_from": "2023-11-07T05:31:56Z",
    "updated_to": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Username = api_key_id, Password = api_key_secret

Body

application/json

Request body for subscribing to the paystubs.updated webhook.

events
enum<string>[]
required

List of events to subscribe to. Must include paystubs.updated. Value is paystubs.updated

Available options:
paystubs.updated
name
string
required

Your name for the webhook subscription. Name used for the webhook subscription.

url
string
required

Where you want to receive webhook delivery. This can be either a backend URL that you manage, or a URL provided by a webhook management service. URL where you want to receive webhook delivery.

secret
string | null

Optional secret used to verify webhooks. Secret used to verify webhooks.

Response

Successful subscription

event
enum<string>

The type of event being triggered.

Available options:
paystubs.updated
name
string

The name of the webhook subscription.

data
object